import request from '@/utils/request'

// 获取冰排信息
export function getIceRaftCode(parameter) {
  return request({
    url: '/api/ice-raft/code/' + parameter,
    method: 'get',
  })
}
// 获取冰排追溯列表
export function getIceRaftNewest(parameter) {
  return request({
    url: '/api/ice-raft/newest-record',
    method: 'get',
    params: parameter
  })
}
// 获取冰排使用记录列表
export function getRecording(parameter) {
  return request({
    url: '/api/ice-raft-record/recording',
    method: 'get',
    params: parameter
  })
}

// 导出冰排使用记录列表
export function getExportExecl(parameter) {
  return request({
    url: '/api/ice-raft-record/export-execl',
    method: 'get',
    responseType: 'blob',
    params: parameter
  })
}

// 冰排入库
export function iceraftIn(parameter) {
  return request({
    url: '/api/ice-raft/in-storage',
    method: 'post',
    data: parameter
  })
}

// 冰排出库
export function iceraftOut(parameter) {
  return request({
    url: '/api/ice-raft/out-storage',
    method: 'post',
    data: parameter
  })
}
// 判断是否可以出库冰排
export function raftIsoutstorage(parameter) {
  return request({
    url: '/api/ice-raft/isoutstorage',
    method: 'post',
    data: parameter
  })
}

// 获取历史记录列表
export function getIceRaftRecord(parameter) {
  return request({
    url: '/api/ice-raft-record',
    method: 'get',
    params: parameter
  })
}

// 编辑历史记录
export function putIceRaftRecord(parameter) {
  return request({
    url: '/api/ice-raft-record',
    method: 'put',
    data: parameter
  })
}

// 删除历史记录
export function delIceRaftRecord(parameter) {
  return request({
    url: '/api/ice-raft-record',
    method: 'delete',
    data: parameter
  })
}
